#!/bin/bash
set -e  # 오류 발생 시 즉시 종료

APP_NAME=utic-stat-server-0.0.1.jar
JAR_PATH=./utic-stat-server/build/libs/$APP_NAME
REMOTE_PATH=/home/rotadw/bin/$APP_NAME

# 서버 정보 설정
PORT=22
USER=rotadw
HOST=192.168.10.14
	
echo "rotadw, rota88ubsta, root, *88ubsta23, #rotadw1051, DWUSER, ROTADW1014, DWSYS/dwsys"
echo "📦 Deploying to $HOST..."

# 파일 복사
scp -P $PORT $JAR_PATH $USER@$HOST:$REMOTE_PATH
if [ $? -eq 0 ]; then
    echo "✅ 파일 업로드 성공!"
else
    echo "❌ 업로드 실패. 경로 또는 권한 확인 필요."
fi
